Publications
List publications awaiting human approval
GET
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
projectId*stringLength
1 <= lengthResponse for status 200
application/json- response
requests*array<>curl -X GET 'https://postbot.example/api/projects/string/publications/approval-requests'Example Response
{
"requests": [
{
"id": "string",
"projectId": "string",
"publicationId": "string",
"targetRevisionId": "string",
"draftRevision": -9007199254740991,
"proposedScheduledAt": -9007199254740991,
"state": "pending",
"requestedByActorId": "string",
"decidedByActorId": "string",
"decidedAt": -9007199254740991,
"scheduledAt": -9007199254740991,
"rejectionReason": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991
}
]
}